Index: jobvista-frontend/src/views/job_advertisements/JobAdDetails.js
===================================================================
--- jobvista-frontend/src/views/job_advertisements/JobAdDetails.js	(revision b2488107b82c95e4bdfdfd18b76b44f023786601)
+++ jobvista-frontend/src/views/job_advertisements/JobAdDetails.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
@@ -10,4 +10,6 @@
 import {AddJobAdModal} from "./AddJobAdModal";
 import {ApplyToJobAdModal} from "../applications/ApplyToJobAdModal";
+import {Link} from "react-router-dom";
+import {RecruiterActions} from "../../redux/actions/recruiterActions";
 
 
@@ -20,7 +22,28 @@
     const auth = useSelector(state => state.auth.currentUser);
 
+    let logosState = useSelector(state => state.images.logos)
+    const [logoDispatched, setLogoDispatched] = useState(false)
+    const [logoView, setLogoView] = useState(null);
+
     useEffect(() => {
         setRole(auth.role)
     }, [auth])
+
+    useEffect(() => {
+        if (jobAd) {
+            if (!logoDispatched && !logosState[jobAd.recruiterId]) {
+                dispatch(RecruiterActions.downloadLogo(jobAd.recruiterId, (success, response) => {
+                    if (success) {
+                        setLogoView(response)
+                        setLogoDispatched(true)
+                    }
+                }))
+            } else {
+                setLogoView(logosState[jobAd.recruiterId])
+            }
+
+        }
+
+    }, [jobAd])
 
 
@@ -41,18 +64,36 @@
             <div className="col-md-9">
                 <div className="details-wrap">
+                    <div className="row">
+                        <div className="col-md-9">
+                            <div className="title">
+                                <h2>{jobAd.title} </h2>
+                                <span className="job-type"> {jobAd.jobType===JobType.JOB ? "Job" : "Internship"}</span>
+                                {!jobAd.active && <span className="expired">Expired</span>}
+                            </div>
 
-                    <div className="title">
-                        <h2>{jobAd.title} </h2>
-                        <span className="job-type"> {jobAd.jobType===JobType.JOB ? "Job" : "Internship"}</span>
-                        {!jobAd.active && <span className="expired">Expired</span>}
+                            <p className="details-head-info">
+                                <span><b>{jobAd.recruiterName}</b></span> • <span>{jobAd.industry}</span> • <span>{formatRelativeTime(jobAd.postedOn)}</span>
+                            </p>
+
+                            <p><i className="fa-solid fa-money-check-dollar"></i> <span>Hourly rate: ${jobAd.startingSalary}</span></p>
+                            <p><i className="fa-solid fa-briefcase"></i> Employment status: {jobAd.employmentStatus==="FULL_TIME" ? "Full-time" : "Part-time"}</p>
+                            <p><i className="fa-solid fa-calendar-days"></i> Active until: {new Date(jobAd.activeUntil).toLocaleString('default', { day: 'numeric', month: 'long',  year: 'numeric' })}</p>
+
+                        </div>
+                        <div className="col-md-3">
+                            {jobAd.recruiterId &&
+                                <>
+                                    <img
+                                        // loading gif
+                                        src={logosState[jobAd.recruiterId]}
+                                        alt=""
+                                        width={200} height={200}
+                                    />
+                                </>
+                            }
+
+                        </div>
                     </div>
 
-                    <p className="details-head-info">
-                        <span><b>{jobAd.recruiterName}</b></span> • <span>{jobAd.industry}</span> • <span>{formatRelativeTime(jobAd.postedOn)}</span>
-                    </p>
-
-                    <p><i className="fa-solid fa-money-check-dollar"></i> <span>Hourly rate: ${jobAd.startingSalary}</span></p>
-                    <p><i className="fa-solid fa-briefcase"></i> Employment status: {jobAd.employmentStatus==="FULL_TIME" ? "Full-time" : "Part-time"}</p>
-                    <p><i className="fa-solid fa-calendar-days"></i> Active until: {new Date(jobAd.activeUntil).toLocaleString('default', { day: 'numeric', month: 'long',  year: 'numeric' })}</p>
 
                     <h4>About the job</h4>
@@ -66,17 +107,25 @@
             <div className="col-md-3">
                 <div className="details-wrap">
-                    <h3>{jobAd.recruiterName}</h3>
+                    <Link className="recruiter-link" to={`/recruiters/${jobAd.recruiterId}`}>{jobAd.recruiterName} </Link>
 
-                    {/*TO DO - AFTER IMPLEMENTING FORM FOR UPDATING PERSONAL INFO*/}
                     <h4>About the company</h4>
                     <p>
-                        For over two decades, we have been harnessing technology to drive meaningful change.  Working side by side with leading brands, we build strategies, products and solutions tailored to unique needs –regardless of industry, region or scale. By combining world-class engineering, industry expertise and a people-centric mindset, we consult and partner with our customers to create technological solutions that drive innovation and transform businesses.
-                        <br/><br/>
-                        From ideation to production, we support our customers with bespoke solutions across various industries, including payments, insurance, finance and banking, technology, media and entertainment, telecommunications, retail and consumer goods, supply chain and logistics, healthcare and life sciences, energy and resources, government, automotive and travel.
+                        {recruiterDetails.companyDescription
+                            ? recruiterDetails.companyDescription.length > 710
+                                ? `${recruiterDetails.companyDescription.substring(0, 710)}...`
+                                : recruiterDetails.companyDescription
+                            : "There is no info about this company yet."
+                        }
+                    </p>
 
+                    <p>
+                        <i className="fa-solid fa-envelope"></i> <span className="span-about"> {recruiterDetails.contactEmail}</span> <br/>
+                        <i className="fa-solid fa-phone"></i> <span className="span-about"> {recruiterDetails.contactPhoneNumber}</span> <br/>
+                        {recruiterDetails.receptionist && <><i className="fa-solid fa-user-tie"></i> <span className="span-about"> {recruiterDetails.receptionist}</span> </>}
                     </p>
-                    <p><span><i className="fa-solid fa-envelope"></i> {recruiterDetails.email}</span> • <span>
-                <i className="fa-solid fa-phone"></i> {recruiterDetails.phoneNumber}</span>
-                    </p>
+
+                    <div className="d-flex justify-content-center mt-4">
+                        <Link className="card-button" to={`/recruiters/${jobAd.recruiterId}`}>Read more </Link>
+                    </div>
                 </div>
             </div>
Index: jobvista-frontend/src/views/job_advertisements/RecruiterWorkspace.js
===================================================================
--- jobvista-frontend/src/views/job_advertisements/RecruiterWorkspace.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
+++ jobvista-frontend/src/views/job_advertisements/RecruiterWorkspace.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
@@ -0,0 +1,165 @@
+import {AddJobAdModal} from "./AddJobAdModal";
+
+import "./JobAdvertisements.css"
+import "../shared_css/Random.css"
+
+import {useDispatch, useSelector} from "react-redux";
+import {useEffect, useState} from "react";
+import {JobAdvertisementActions} from "../../redux/actions/jobAdvertisementActions";
+import {formatRelativeTime, sortElementsBy} from "../../utils/utils";
+import {dataRangeOptions, industryOptions, industryOptionsFilter, sortOptions} from "../selectOptions";
+import Select from "react-select";
+import {DeleteJobAdModal} from "./DeleteJobAdModal";
+import {EditJobAdModal} from "./EditJobAdModal";
+import {Link} from "react-router-dom";
+import JobType from "../../enumerations/JobType";
+import {RecruiterActions} from "../../redux/actions/recruiterActions";
+
+
+export const Workspace = (props) => {
+
+    const dispatch = useDispatch();
+    const [dispatched, setDispatched] = useState(false)
+
+    const auth = useSelector(state => (state.auth.currentUser))
+
+    const [jobAdvertisementsByRecruiter, setJobAdvertisementsByRecruiter] = useState([]);
+    let jobAdvertisementsByRecruiterState = useSelector(state => (state.jobAd.jobAdvertisementsByRecruiter))
+
+    const [recruiterDetails, setRecruiterDetails] = useState(null);
+
+    const [selectedSortOrder, setSelectedSortOrder] = useState("date_newest");
+    const [selectedIndustry, setSelectedIndustry] = useState("all");
+    const [searchTerm, setSearchTerm] = useState("");
+
+    const [activeJobListingsCount, setActiveJobListingsCount] = useState(0);
+
+    useEffect(() => {
+        if (auth) {
+            dispatch(RecruiterActions.fetchRecruiterEditDetailsById(auth.id, (success, response) => {
+                if (success) {
+                    setRecruiterDetails(response.data)
+                }
+            }))
+        }
+    }, [auth]);
+
+
+    useEffect(() => {
+        if (!dispatched && jobAdvertisementsByRecruiterState.length === 0) {
+            dispatch(JobAdvertisementActions.fetchJobAdvertisementsByRecruiter(auth.id, (success, response) => {
+                if (success && response.data.length > 0) {
+                    setJobAdvertisementsByRecruiter(sortElementsBy(response.data))
+                }
+                console.log("Fetch job advertisements by recruiter GET")
+            }))
+            setDispatched(true);
+
+        } else {
+            setJobAdvertisementsByRecruiter(jobAdvertisementsByRecruiterState)
+            console.log("Fetch job advertisements by recruiter STATE")
+
+            setActiveJobListingsCount(countActiveJobListings(jobAdvertisementsByRecruiterState));
+        }
+
+    }, [jobAdvertisementsByRecruiterState])
+
+    let filterJobAdvertisements = () => {
+        JobAdvertisementActions.filterJobAdvertisementsByRecruiter({
+            searchTerm: searchTerm, industry: selectedIndustry, sortOrder: selectedSortOrder
+        }, (success, response) => {
+            if (success) {
+                setJobAdvertisementsByRecruiter(response.data);
+            }
+        })
+    }
+
+    function countActiveJobListings(jobAds) {
+        if (jobAds.length > 0) {
+            const activeJobListings = jobAds.filter(job => job.active)
+            return activeJobListings.length;
+        }
+        return 0;
+    }
+
+    return (<div className="container">
+
+            {/*<div className="line-separator"></div>*/}
+
+            <div className="filter-container">
+                <div className="row">
+                    <div className="col-md-12 filter-box">
+                        <div className="search-container">
+                            <i className="fa-solid fa-magnifying-glass search-icon"></i>
+                            <input
+                                className="search-input"
+                                type="text"
+                                placeholder="Search job advertisement by title..."
+                                value={searchTerm}
+                                onChange={event => setSearchTerm(event.target.value)}
+                            />
+                        </div>
+                        <div className="sort-section item">
+                            <Select
+                                defaultValue={{value: "all", label: "All industries"}}
+                                value={selectedIndustry.value}
+                                onChange={option => setSelectedIndustry(option.value)}
+                                options={industryOptionsFilter}
+                                className="sort-range sort"
+                            />
+                        </div>
+                        <div className="sort-section item">
+                            <Select
+                                defaultValue={{value: "newest", label: "Date (Newest First)"}}
+                                value={selectedSortOrder.value}
+                                onChange={option => setSelectedSortOrder(option.value)}
+                                options={sortOptions}
+                                className="sort-range sort"
+                            />
+                        </div>
+                        <button onClick={filterJobAdvertisements} className="blue-submit-button">Find jobs</button>
+                    </div>
+                </div>
+            </div>
+            <div className="row row-cols-1 row-cols-md-5 g-3">
+                <AddJobAdModal/>
+
+                {jobAdvertisementsByRecruiter && jobAdvertisementsByRecruiter.map((jobAd, index) => (
+                    <div key={index} className="col">
+                        <div className="custom-card">
+                            <div className="card-head">
+                                <span className="hourly-salary"><b>${jobAd.startingSalary}/hr</b></span>
+                                <span
+                                    className="job-type"> {jobAd.jobType === JobType.JOB ? "Job" : "Internship"}</span>
+                                {!jobAd.active && <span className="expired">Expired</span>}
+                                <div className="card-management-btns">
+                                    <DeleteJobAdModal props={jobAd}/>
+                                    <EditJobAdModal props={jobAd}/>
+                                </div>
+                            </div>
+                            <div className="card-body">
+                                <h5 className="card-title">{jobAd.title}</h5>
+                                <span>{jobAd.industry} • <span style={{
+                                    color: "black", fontWeight: "bold"
+                                }}>{formatRelativeTime(jobAd.postedOn)}</span></span>
+                                <div className="card-info">
+                                        <span><i className="fa-solid fa-building"
+                                                 style={{color: "#000000"}}></i> Company: <span style={{
+                                            color: "black", fontWeight: "bold"
+                                        }}>{jobAd.recruiterName}</span></span> <br/>
+                                </div>
+
+                                <div className="aligned">
+                                    <Link to={`/job-management-hub/applications/${jobAd.id}`}
+                                          className="card-button solo">View applications</Link>
+                                </div>
+
+                            </div>
+                        </div>
+                    </div>))}
+            </div>
+        </div>
+
+
+    )
+}
Index: jobvista-frontend/src/views/static/Header.js
===================================================================
--- jobvista-frontend/src/views/static/Header.js	(revision b2488107b82c95e4bdfdfd18b76b44f023786601)
+++ jobvista-frontend/src/views/static/Header.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
@@ -1,5 +1,5 @@
 import {Link, NavLink} from "react-router-dom";
 import "./Header.css"
-import { jwtDecode } from "jwt-decode";
+import {jwtDecode} from "jwt-decode";
 import {useDispatch, useSelector} from 'react-redux';
 import {useEffect, useState} from "react";
@@ -8,4 +8,6 @@
 import {useNavigate} from "react-router";
 import {AUTH_TOKEN} from "../../axios/axiosInstance";
+import {JobSeekerActions} from "../../redux/actions/JobSeekerActions";
+import {RecruiterActions} from "../../redux/actions/recruiterActions";
 
 export const Header = (props) => {
@@ -17,15 +19,28 @@
     const [role, setRole] = useState("");
     const [username, setUsername] = useState("");
+    const [user, setUser] = useState("");
 
-    const [user, setUser] = useState("");
+    const [profilePics, setProfilePics] = useState({});
+    let profilePicState = useSelector(state => state.images.profilePictures);
+    const [profilePicDispatched, setProfilePicDispatched] = useState(false);
+
+    const [logos, setLogos] = useState({});
+    let logoState = useSelector(state => state.images.logos);
+    const [logoDispatched, setLogoDispatched] = useState(false);
 
     const signOut = () => {
         dispatch(AuthActions.signOut());
         window.location = "/";
+        //navigator("/")
     }
+    const [isActive, setIsActive] = useState(false);
+
+    const toggleMenu = () => {
+        setIsActive(!isActive);
+    };
 
     useEffect(() => {
         const token = localStorage.getItem(AUTH_TOKEN);
-        if (token!=null) {
+        if (token != null) {
             try {
                 const decodedToken = jwtDecode(token);
@@ -34,4 +49,5 @@
                     role: decodedToken.role,
                     hasAccess: decodedToken.hasAccess,
+                    id: decodedToken.id
                 });
             } catch (error) {
@@ -45,4 +61,22 @@
             setRole(auth.role);
             setUsername(auth.name);
+
+            console.log("ROLE: " + auth.role)
+
+            if (auth.role === Roles.JOBSEEKER) {
+                dispatch(JobSeekerActions.downloadProfilePic(auth.id, (success, reponse) => {
+                    if (success) {
+                        setProfilePics(prevState => ({...prevState, [auth.id]: reponse}))
+                        console.log(reponse)
+                    }
+                }))
+            } else if (auth.role === Roles.RECRUITER) {
+                dispatch(RecruiterActions.downloadLogo(auth.id, (success, reponse) => {
+                    if (success) {
+                        setLogos(prevState => ({...prevState, [auth.id]: reponse}))
+                        console.log(reponse)
+                    }
+                }))
+            }
         }
     }, [auth]);
@@ -51,52 +85,72 @@
         <nav className="navbar navbar-expand-lg bg-light">
             <div className="container-fluid">
-                <Link to="/" className="logo navbar-brand" />
-                <Link to="/" className="brand-name navbar-brand" />
-                <div className="collapse navbar-collapse" id="navbarSupportedContent">
+                <Link to="/" className="logo"/>
+                <Link to="/" className="brand-name"/>
+                <div className="navbar-collapse">
                     <ul className="navbar-nav me-auto mb-2 mb-lg-0">
                         <NavLink to="/" className="nav-item nav-link">Home</NavLink>
-                        {role==Roles.JOBSEEKER &&
+                        {role == Roles.JOBSEEKER &&
                             <>
-                                <NavLink to="/my-applications" className="nav-item nav-link" >My Applications</NavLink>
-                                {/*<NavLink to="/favoritejobs" className="nav-item nav-link" >Saved</NavLink>*/}
-                            </>
-
-                        }
-                        {role==Roles.RECRUITER &&
-                            <>
-                                <NavLink to="/my-job-advertisements" className="nav-item nav-link" >My Advertisements</NavLink>
-                                {/*<NavLink to="/favoritejobs" className="nav-item nav-link" >Saved</NavLink>*/}
+                                <NavLink to="/my-applications" className="nav-item nav-link">My Applications</NavLink>
                             </>
                         }
-                        {role===Roles.ADMIN &&
+                        {role == Roles.RECRUITER &&
+                            <>
+                                <NavLink to="/job-management-hub" className="nav-item nav-link">Job Management Hub</NavLink>
+                            </>
+                        }
+                        {role === Roles.ADMIN &&
                             <>
                                 <NavLink to="/admin-panel" className="nav-item nav-link">Admin Panel</NavLink>
                             </>
+                        }
+                        <NavLink to="/about" className="nav-item nav-link">About Us</NavLink>
+                        {/*<NavLink to="/contact" className="nav-item nav-link">Support</NavLink>*/}
+                    </ul>
+                </div>
+                {(auth.role === Roles.RECRUITER || auth.role === Roles.ADMIN || auth.role === Roles.JOBSEEKER) ?
+                    <>
+                        <div className={`navigation ${isActive ? 'active' : ''}`}>
+                            <div className="user-box">
+                                <div className="image-box">
+                                    {user.role === Roles.JOBSEEKER && <img src={profilePicState[auth.id]} /> }
+                                    {user.role === Roles.RECRUITER && <img src={logoState[auth.id]} /> }
+                                    {user.role === Roles.ADMIN && <img src="/images/admin.jpg"/> }
+                                </div>
+                                <div className="auth-box">
+                                    <p className="username">{user.name}</p>
+                                    {user.role === Roles.RECRUITER && <p className="role">Recruiter</p>}
+                                    {user.role === Roles.JOBSEEKER && <p className="role">Job Seeker</p>}
+                                    {user.role === Roles.ADMIN && <p className="role">Admin</p>}
+                                </div>
 
-                        }
-                        <NavLink to="/about" className="nav-item nav-link">About</NavLink>
-                        <NavLink to="/contact" className="nav-item nav-link">Support</NavLink>
-                    </ul>
+                            </div>
+                            <div className="menu-toggle" onClick={toggleMenu}></div>
+                            <ul className="menu">
+                                {user.role == Roles.JOBSEEKER &&
+                                    <>
+                                        <Link to="/job-seeker/edit-profile" onClick={toggleMenu} className="menu-link">
+                                            <i className="fa-solid fa-pen-to-square"></i> Edit profile
+                                        </Link>
+                                    </>
+                                }
+                                {user.role == Roles.RECRUITER &&
+                                    <>
+                                        <Link to="/recruiter/edit-profile" onClick={toggleMenu} className="menu-link">
+                                            <i className="fa-solid fa-pen-to-square"></i> Edit profile
+                                        </Link>
+                                    </>
+                                }
 
-                    {auth ?
-                        <>
-                            <img src="/images/user.png" width="45" height="45"/>
-                            <div className="auth-box">
-                                <p className="user"><b>{user.name}</b></p>
-                                {user.role==Roles.RECRUITER && <p className="role">Recruiter</p>}
-                                {user.role==Roles.JOBSEEKER && <p className="role">Job Seeker</p>}
-                                {user.role==Roles.ADMIN && <p className="role">Admin</p>}
-                                {/*<p className="role">{user.role==Roles.RECRUITER ? "Recruiter" : "Job Seeker"}</p>*/}
-                            </div>
-
-
-                            <Link onClick={signOut} className="btn auth-secondary-btn">Log out</Link>
-                        </> :
-                        <>
-                            <Link to="/signin" className="btn auth-secondary-btn">Sign in</Link>
-                        </>
-                    }
-
-                </div>
+                                <Link onClick={signOut} className="menu-link">
+                                    <i className="fa-solid fa-right-from-bracket"></i> Log out
+                                </Link>
+                            </ul>
+                        </div>
+                    </> :
+                    <>
+                        <Link to="/signin" className="btn auth-secondary-btn">Sign in</Link>
+                    </>
+                }
             </div>
         </nav>
